package de.ozgcloud.vorgang.common.grpc;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.vorgang.common.GrpcSubObject;
import de.ozgcloud.vorgang.common.GrpcSubObject.Builder;

public class GrpcSubObjectTestFactory {

	public static final String SUB_OBJECT_NAME = LoremIpsum.getInstance().getWords(1);
	public static final String SUB_SUB_OBJECT_NAME = LoremIpsum.getInstance().getWords(1);

	public static GrpcSubObject create() {
		return createBuilder().build();
	}

	public static Builder createBuilder() {
		return GrpcSubObject.newBuilder()
				.setName(SUB_OBJECT_NAME)
				.addProperty(GrpcPropertyTestFactory.create())
				.addSubObject(GrpcSubObject.newBuilder()
						.setName(SUB_SUB_OBJECT_NAME)
						.addProperty(GrpcPropertyTestFactory.create()));
	}
}
