package de.ozgcloud.command;

import java.util.Collections;
import java.util.UUID;

public class CommandTestFactory {

	public static final String ID = UUID.randomUUID().toString();
	public static final String VORGANG_ID = UUID.randomUUID().toString();
	public static final String RELATION_ID = UUID.randomUUID().toString();
	public static final String ORDER = "DO_TEST";

	public static final String CREATED_BY = UUID.randomUUID().toString();

	public static Command create() {
		return createBuilder().build();
	}

	public static TestCommand.TestCommandBuilder createBuilder() {
		return TestCommand.builder()
				.id(ID)
				.relationId(RELATION_ID)
				.vorgangId(VORGANG_ID)
				.body(Collections.emptyMap())
				.bodyObject(Collections.emptyMap())
				.createdBy(CREATED_BY);
	}
}
